Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000383Core InformSpacing and printingpublic2010-11-02 21:472011-01-10 11:15
Reporterjmcgrew 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6F95 
Target VersionFixed in Version6G60 
Summary0000383: "say N in words" says million instead of billion
DescriptionWhen printing a number over 1,000,000,000 in words, Inform says "million" instead of "billion".
Minimal Source Text To Reproduce
Home is a room.
When play begins, say 1001001001 in words.
Additional InformationThe code above prints "one million, one million, one thousand and one".
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0000854)
graham (administrator)
2010-11-21 10:59

A truly nitwit copy-and-paste error. Fixed.

- Issue History
Date Modified Username Field Change
2010-11-02 21:47 jmcgrew New Issue
2010-11-02 21:47 jmcgrew Status new => acknowledged
2010-11-03 08:07 EmacsUser Status acknowledged => confirmed
2010-11-21 10:59 graham Note Added: 0000854
2010-11-21 10:59 graham Status confirmed => resolved
2010-11-21 10:59 graham Resolution open => fixed
2010-11-21 10:59 graham Assigned To => graham
2010-12-23 17:37 jmcgrew Fixed in Version => 6G60
2011-01-10 11:15 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker